統合の取得
get
/ic/api/integration/v1/integrations
最終更新時間で順序付けられたすべての統合に関する情報を取得します。
リクエスト
サポートされているメディア・タイプ
- application/json; charset=utf-8
問合せパラメータ
- expand: string
統合の接続に関するレスポンスまたは接続のアダプタに関するその他の詳細を含みます。 有効な値: 接続、connection.adapter。
- limit: integer(int32)
返される結果のページ区切りには、オフセット・パラメータを使用します。 この制限は、一度に返すアイテムの最大数です。 たとえば、offset=3&limit=16は、4番目のアイテムから始まる統合をリストすることを示し、リストには16個のアイテムが含まれます。
- offset: integer(int32)
戻される結果のページ区切りには、制限パラメータを使用します。 オフセットは、レコードを返す開始ポイントです。 たとえば、offset=3&limit=16は、4番目のアイテムから始まる統合をリストすることを示し、リストには16個のアイテムが含まれます。
- orderBy: string
統合名または最終更新時間ごとに結果を並べ替えます。
有効な値:
- name: 統合名により統合を順序付けします。 例: orderBy=name.
- time: 最終更新時間別に統合を順序付けします。 例: orderBy=time.
- q: string
統合名、ステータス、タイプおよび統合スタイルで統合をフィルタします。
有効なパラメータ:
- name: 統合の名前。 完全一致または次をサポートします。 たとえば:
- 統合名の完全一致である統合を取得するには、次を指定します:
q={name:'My Integration Name'} - 統合名に指定された文字列を含むすべての統合を取得するには、次のように指定します:
q={name: /Oracle/}
- 統合名の完全一致である統合を取得するには、次を指定します:
- status: 統合のステータス。 有効な値: ACTIVATED, CONFIGURED, INPROGRESS, FAILEDACTIVATION.
たとえば、SC2RNを含み、ステータスが構成済であるすべての統合を取得するには、次を指定します:
{name : /SC2RN/, status : 'CONFIGURED'} - type: 統合のタイプ。
有効な値: PREBUILT, CUSTOM, DEVELOPED.
- style: 統合のスタイル。 有効な値:
freeform_mapmydata
-アプリケーション駆動型オーケストレートされた統合freeform_scheduled
- スケジュール済オーケストレーション統合template_mapmydata
- 基本ルーティング・マップMyデータ統合template_subscribetooic
- OIC統合へのサブスクライブtemplate_publishtooic
- OIC統合にパブリッシュ
- name: 統合の名前。 完全一致または次をサポートします。 たとえば:
- return: string
レスポンス
サポートされているメディア・タイプ
- application/json; charset=utf-8
- application/vnd.oracle.resource+json;type=collection
200レスポンス
操作の成功
ネストされたスキーマ : integrationlist
型:
ソースを表示
object- bartaBuiltBy: string
- code: string
- compatible: boolean
デフォルト値:
false - created: string(date-time)
- createdBy: string
- dependencies: object IntegrationDependencyRs
- description: string
- docUrl: string
- endPoints: array endPoints
- endPointURI: string
- filmstrip: array filmstrip
- id: string
- isCloneAllowed: boolean
デフォルト値:
false - isViewAllowed: boolean
デフォルト値:
false - keywords: string
- lastUpdated: string(date-time)
- lastUpdatedBy: string
- links: array links
- lockedBy: string
- lockedDate: string(date-time)
- lockedFlag: boolean
デフォルト値:
false - mepType: string
- name: string
- originalIntegrationCode: string
- packageName: string
- pattern: string
- patternDescription: string
- payloadTracingEnabledFlag: boolean
デフォルト値:
false - percentageComplete: number
- projectType: string
- properties: array properties
- proxyWSDL: string
- recordEnabledFlag: boolean
デフォルト値:
false - scheduleApplicableFlag: boolean
デフォルト値:
false - scheduleDefinedFlag: boolean
デフォルト値:
false - smartTags: string
- status: string
- style: string
- styleDescription: string
- totalEndPoints: integer(int32)
- tracingEnabledFlag: boolean
デフォルト値:
false - trackingVariables: array trackingVariables
- version: string
ネストされたスキーマ : TrackingVariableType
型:
ソースを表示
object- description: string
- id: string
- messageContextRef(required): object ReferenceType
- name(required): string
- output(required): object WirepointType
- primary: boolean
デフォルト値:
false - property: array property
- refUri: string
- role: string
- subRole: string
- type: string
許容値:
[ "ORCHESTRATION", "RECEIVE", "ROUTER", "ROUTER_ROUTE", "TRANSFORMER", "TRY", "TRY_CATCH", "INVOKE", "REPLY", "LABEL", "ASSIGNMENT", "FOR", "STOP", "SCHEDULERECEIVE", "STAGEFILE", "FAULTREPLY", "CALLOUT", "WHILE", "WAIT", "NOTE", "GLOBAL_VARIABLE", "GLOBAL_TRY", "GLOBAL_CATCH_ALL", "CATCH_ALL", "EHSTOP", "NOTIFICATION", "ACTIVITY_STREAM_LOGGER", "STITCH", "THROW", "PICK", "PICKRECEIVE", "TRACKING_VARIABLE", "REJECT", "INTEGRATION_METADATA", "INTEGRATION_PROPERTIES" ] - xpath(required): string
ネストされたスキーマ : WirepointType
型:
ソースを表示
object- messageContextRef: object ReferenceType
- name: string
- property: array property
- resourceGroup: array resourceGroup
- role: string
許容値:
[ "REQUEST", "RESPONSE", "FAULT", "VARIABLE" ] - subRole: string
ネストされたスキーマ: ResourceType
型:
ソースを表示
object- externalLocation: string
- location: string
- name: string
- property: array property
- resourceDescription: string
- resourceName: string
- role: string
- subRole: string
- type: string
許容値:
[ "XSD", "XSLT", "JCA", "WSDL", "WADL", "PROPERTIES", "UNDEFINED" ]
400レスポンス
パラメータの形式が正しくありません
500レスポンス
サーバー・エラー
例
次の例では、cURLを使用してRESTリソースに対するGETリクエストを発行することによって、統合に関する詳細を取得する方法を示しています。 cURLの詳細は、「cURLの使用」を参照してください。 エンドポイントURLの構造の詳細は、「リクエストの送信」を参照してください。
例: 名前にSC2RNまたはsc2rnを含む統合のみを取得して、ステータスをCONFIGUREDにします
curl -G -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json" --data-urlencode "q={name: /SC2RN/, status: 'CONFIGURED'}" https://integration.us.oraclecloud.com/ic/api/integration/v1/integrations例: すべての統合の詳細を各接続で取得
curl -G -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json" -d "expand=connection" https://integration.us.oraclecloud.com/ic/api/integration/v1/integrations例: 戻された統合のページ区切り
limitおよびoffsetでページ区切りが行われます。 この例では、4番目のアイテムから統合が開始されていることを示しています。 リストには16アイテムが含まれます。
curl -G -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json" -d "offset=3&limit=16" https://integration.us.oraclecloud.com/ic/api/integration/v1/integrations例: 統合名でアルファベット順に並べられた統合を取得
curl -G -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json" -d "orderBy=name" https://integration.us.oraclecloud.com/ic/api/integration/v1/integrations例: パラメータの結合
問合せパラメータを組み合せるには、qで--data-urlencodeオプションを使用します。 その他のパラメータは、-dオプションの後に追加できます。
curl -G -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json" --data-urlencode "q={name: /SC2RN/, status: 'CONFIGURED', type: 'DEVELOPED', style: 'freeform_mapmydata'}" -d "orderBy=name&offset=12&limit=5&expand=connection" https://integration.us.oraclecloud.com/ic/api/integration/v1/integrations例: すべての統合の取得
Request:
curl -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json" https://integration.us.oraclecloud.com/ic/api/integration/v1/integrationsレスポンス本文:
JSON形式のレスポンス本文のコンテンツの例を次に示します。
{
"hasMore": true,
"items": [{
"code": "EXTRAC_BIP_REPORT_FROM_PDH",
"compatible": true,
"created": "2019-05-07T14:04:31.908+0000",
"createdBy": "exampleuser1@example.com",
"endPointURI": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/integrations/EXTRAC_BIP_REPORT_FROM_PDH%7C01.00.0000/schedule/jobs",
"endPoints": [{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "PUBLICREPORTSVC",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/PUBLICREPORTSVC",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/PUBLICREPORTSVC",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "extractReport",
"role": "TARGET"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "FTP_CONN_96_06",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/FTP_CONN_96_06",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/FTP_CONN_96_06",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "writeToFTP",
"role": "TARGET"
}],
"id": "EXTRAC_BIP_REPORT_FROM_PDH|01.00.0000",
"lastUpdated": "2019-05-07T16:14:23.963+0000",
"lastUpdatedBy": "exampleuser1@example.com",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/integrations/EXTRAC_BIP_REPORT_FROM_PDH%7C01.00.0000",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/integrations/EXTRAC_BIP_REPORT_FROM_PDH%7C01.00.0000",
"rel": "canonical"
}],
"lockedFlag": false,
"name": "Extract BIP report from PDH",
"pattern": "Scheduled",
"patternDescription": "Scheduled",
"payloadTracingEnabledFlag": true,
"percentageComplete": 100,
"projectType": "DEVELOPED",
"recordEnabledFlag": false,
"scheduleApplicableFlag": true,
"scheduleDefinedFlag": false,
"status": "ACTIVATED",
"style": "FREEFORM",
"styleDescription": "Orchestration",
"tracingEnabledFlag": true,
"trackingVariables": [{
"id": "tracking_var_1",
"name": "startTime",
"output": {
"messageContextRef": {
"refUri": "messagecontext_2"
},
"name": "output_3"
},
"primary": true,
"refUri": "",
"role": "tracking_var_1",
"xpath": "/schedule/startTime"
},
{
"id": "tracking_var_2",
"name": "tracking_var_2",
"output": {
"messageContextRef": {
"refUri": "messagecontext_4"
},
"name": "output_5"
},
"primary": false,
"refUri": "",
"role": "tracking_var_2",
"xpath": ""
},
{
"id": "tracking_var_3",
"name": "tracking_var_3",
"output": {
"messageContextRef": {
"refUri": "messagecontext_6"
},
"name": "output_7"
},
"primary": false,
"refUri": "",
"role": "tracking_var_3",
"xpath": ""
}],
"version": "01.00.0000"
},
{
"code": "RSQGROUPCONSUMER",
"compatible": true,
"created": "2019-05-06T21:54:48.181+0000",
"createdBy": "exampleuser2@example.com",
"description": "Find the active groups to resequence.",
"endPoints": [{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQMESSAGECONSUMER",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQMESSAGECONSUMER",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQMESSAGECONSUMER",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "ProcessMessages",
"role": "TARGET"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQ_DB",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "getActiveGroups",
"role": "TARGET"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQ_DB",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "lockGroup",
"role": "TARGET"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQ_DB",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "RSQConfig",
"role": "TARGET"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQ_DB",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "ActiveGroups",
"role": "TARGET"
}],
"id": "RSQGROUPCONSUMER|01.00.0000",
"lastUpdated": "2019-05-06T21:54:50.026+0000",
"lastUpdatedBy": "exampleuser2@example.com",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/integrations/RSQGROUPCONSUMER%7C01.00.0000",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/integrations/RSQGROUPCONSUMER%7C01.00.0000",
"rel": "canonical"
}],
"lockedFlag": false,
"name": "RSQGroupConsumer",
"packageName": "oic.rsq",
"pattern": "Scheduled",
"patternDescription": "Scheduled",
"payloadTracingEnabledFlag": false,
"percentageComplete": 100,
"projectType": "DEVELOPED",
"recordEnabledFlag": false,
"scheduleApplicableFlag": true,
"scheduleDefinedFlag": true,
"status": "CONFIGURED",
"style": "FREEFORM",
"styleDescription": "Orchestration",
"tracingEnabledFlag": false,
"trackingVariables": [{
"id": "tracking_var_1",
"name": "startTime",
"output": {
"messageContextRef": {
"refUri": "messagecontext_2"
},
"name": "output_3"
},
"primary": true,
"refUri": "",
"role": "tracking_var_1",
"xpath": "/schedule/startTime"
},
{
"id": "tracking_var_2",
"name": "tracking_var_2",
"output": {
"messageContextRef": {
"refUri": "messagecontext_4"
},
"name": "output_5"
},
"primary": false,
"refUri": "",
"role": "tracking_var_2",
"xpath": ""
},
{
"id": "tracking_var_3",
"name": "tracking_var_3",
"output": {
"messageContextRef": {
"refUri": "messagecontext_6"
},
"name": "output_7"
},
"primary": false,
"refUri": "",
"role": "tracking_var_3",
"xpath": ""
}],
"version": "01.00.0000"
},
{
"code": "RSQMESSAGECONSUMER",
"compatible": true,
"created": "2019-05-06T21:54:48.084+0000",
"createdBy": "exampleuser2@example.com",
"description": "Process all messages of a resequencing group.",
"endPoints": [{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQMESSAGECONSUMER",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQMESSAGECONSUMER",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQMESSAGECONSUMER",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "RSQMessageConsumer",
"role": "SOURCE"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQ_DB",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "readMessages",
"role": "TARGET"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQ_DB",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "markProcessing",
"role": "TARGET"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQ_DB",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "deleteMessage",
"role": "TARGET"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQ_DB",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "markGroupDone",
"role": "TARGET"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "PRESEEDED_COLLOCATED_CONN_1741",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/PRESEEDED_COLLOCATED_CONN_1741",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/PRESEEDED_COLLOCATED_CONN_1741",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "Dispatcher",
"role": "TARGET"
}],
"id": "RSQMESSAGECONSUMER|01.00.0000",
"lastUpdated": "2019-05-06T21:54:49.737+0000",
"lastUpdatedBy": "exampleuser2@example.com",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/integrations/RSQMESSAGECONSUMER%7C01.00.0000",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/integrations/RSQMESSAGECONSUMER%7C01.00.0000",
"rel": "canonical"
}],
"lockedFlag": false,
"name": "RSQMessageConsumer",
"packageName": "oic.rsq",
"pattern": "Orchestration",
"patternDescription": "Notification",
"payloadTracingEnabledFlag": false,
"percentageComplete": 100,
"projectType": "DEVELOPED",
"recordEnabledFlag": false,
"scheduleApplicableFlag": false,
"scheduleDefinedFlag": false,
"status": "CONFIGURED",
"style": "FREEFORM",
"styleDescription": "Orchestration",
"tracingEnabledFlag": false,
"trackingVariables": [{
"id": "tracking_var_1",
"name": "id",
"output": {
"messageContextRef": {
"refUri": "messagecontext_203"
},
"name": "output_204"
},
"primary": true,
"refUri": "",
"role": "tracking_var_1",
"xpath": "/execute/request-wrapper/id"
},
{
"id": "tracking_var_2",
"name": "type",
"output": {
"messageContextRef": {
"refUri": "messagecontext_205"
},
"name": "output_206"
},
"primary": false,
"refUri": "",
"role": "tracking_var_2",
"xpath": "/execute/request-wrapper/type"
},
{
"id": "tracking_var_3",
"name": "tracking_var_3",
"output": {
"messageContextRef": {
"refUri": "messagecontext_207"
},
"name": "output_208"
},
"primary": false,
"refUri": "",
"role": "tracking_var_3",
"xpath": ""
}],
"version": "01.00.0000"
},
{
"code": "RSQMANAGER",
"compatible": true,
"created": "2019-05-06T21:54:47.977+0000",
"createdBy": "exampleuser2@example.com",
"description": "Resequencer manager.",
"endPoints": [{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQMANAGER",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQMANAGER",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQMANAGER",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "UpdateConfig",
"role": "SOURCE"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQMANAGER",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQMANAGER",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQMANAGER",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "RecoverResumeGroup",
"role": "SOURCE"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQMANAGER",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQMANAGER",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQMANAGER",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "GetConfigs",
"role": "SOURCE"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQ_DB",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "UpdateConfigTable",
"role": "TARGET"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQ_DB",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "DeleteMessage",
"role": "TARGET"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQ_DB",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "ActivateGroup",
"role": "TARGET"
},
{
"connection": {
"agentRequired": false,
"agentSupported": false,
"id": "RSQ_DB",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/connections/RSQ_DB",
"rel": "canonical"
}],
"metadataDownloadSupportedFlag": false,
"testStatus": false
},
"name": "GetTypeConfigs",
"role": "TARGET"
}],
"id": "RSQMANAGER|01.00.0000",
"lastUpdated": "2019-05-06T21:54:49.328+0000",
"lastUpdatedBy": "exampleuser2@example.com",
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/integrations/RSQMANAGER%7C01.00.0000",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/integrations/RSQMANAGER%7C01.00.0000",
"rel": "canonical"
}],
"lockedFlag": false,
"name": "RSQManager",
"packageName": "oic.rsq",
"pattern": "Orchestration",
"patternDescription": "Notification",
"payloadTracingEnabledFlag": false,
"percentageComplete": 100,
"projectType": "DEVELOPED",
"recordEnabledFlag": false,
"scheduleApplicableFlag": false,
"scheduleDefinedFlag": false,
"status": "CONFIGURED",
"style": "FREEFORM",
"styleDescription": "Orchestration",
"tracingEnabledFlag": false,
"version": "01.00.0000"
}],
"links": [{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/integrations/",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com:443/ic/api/integration/v1/integrations/",
"rel": "canonical"
}],
"totalResults": 127
}